print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricefertilizer_premiumholzasche = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local fertilizer_premiumholzascheHudFile = "Paletten/hud_fill_fertilizer_premiumholzasche.dds"
	local fertilizer_premiumholzascheHudFileSmall = "Paletten/hud_fill_fertilizer_premiumholzasche_sml.dds"
	
    local fertilizer_premiumholzascheFilType = g_fillTypeManager:addFillType("FERTILIZER_PREMIUMHOLZASCHE", g_i18n:getText("fertilizer_premiumholzasche"), true, pricefertilizer_premiumholzasche * 2.3, 0.00045, math.rad(10), fertilizer_premiumholzascheHudFile, fertilizer_premiumholzascheHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasfertilizer_premiumholzasche=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasfertilizer_premiumholzasche=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "FERTILIZER_PREMIUMHOLZASCHE" then
		hasfertilizer_premiumholzasche=true
	end;
		
end;

		if hasmaize and not hasfertilizer_premiumholzasche then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("FERTILIZER_PREMIUMHOLZASCHE")
		local price = g_fillTypeManager:getFillTypeByName("FERTILIZER_PREMIUMHOLZASCHE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("FERTILIZER_PREMIUMHOLZASCHE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)